<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".Acitvitys.EER.KYC.KYCSiteProfActivity">


    <!--    Header -->
    <RelativeLayout
        android:id="@+id/rl_header"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="0.7">

        <androidx.cardview.widget.CardView
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:cardElevation="6dp">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="65dp"
                android:paddingRight="6dp">

                <ImageView
                    android:layout_width="150dp"
                    android:layout_height="65dp"
                    android:src="@drawable/ic_logo" />


            </RelativeLayout>

        </androidx.cardview.widget.CardView>
        <!--  Progress bar  -->
        <LinearLayout
            android:id="@+id/ly_progress"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/toolbar"
            android:layout_marginVertical="30dp"
            android:orientation="horizontal"
            android:paddingHorizontal="15dp">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="13dp"
                android:layout_marginHorizontal="6dp"
                android:layout_weight="1"
                android:background="@drawable/border_raduis" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="13dp"
                android:layout_marginHorizontal="6dp"
                android:layout_weight="1"
                android:background="@drawable/border_raduis" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="13dp"
                android:layout_marginHorizontal="6dp"
                android:layout_weight="1"
                android:background="@drawable/border_raduis" />


            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="13dp"
                android:layout_marginHorizontal="6dp"
                android:layout_weight="1"
                android:background="@drawable/border_raduis"
                android:backgroundTint="@color/inactive" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="13dp"
                android:layout_marginHorizontal="6dp"
                android:layout_weight="1"
                android:background="@drawable/border_raduis"
                android:backgroundTint="@color/inactive" />
        </LinearLayout>

        <TextView
            android:id="@+id/title1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/ly_progress"
            android:layout_centerHorizontal="true"
            android:layout_gravity="center"
            android:layout_marginBottom="15dp"
            android:fontFamily="sans-serif-medium"
            android:text="Ma situation professionelle"
            android:textColor="@color/primary"
            android:textSize="20sp" />


    </RelativeLayout>


    <!--   Body -->
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1.3">

        <!-- back ground   -->
        <RelativeLayout
            android:id="@+id/cardView2"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@id/rl_footer"
            android:layout_marginTop="100dp"
            android:background="@drawable/radius_left_right">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:paddingTop="50dp">

                <androidx.cardview.widget.CardView
                    android:layout_width="1000dp"
                    android:layout_height="1000dp"
                    android:alpha="0.03"
                    android:background="@color/white"
                    android:translationX="-600dp"
                    app:cardCornerRadius="500dp"
                    app:cardElevation="0dp" />


            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:paddingTop="200dp">

                <androidx.cardview.widget.CardView
                    android:layout_width="1000dp"
                    android:layout_height="1000dp"
                    android:alpha="0.04"
                    android:background="@color/white"
                    android:translationX="-90dp"
                    app:cardCornerRadius="400dp"
                    app:cardElevation="0dp" />

            </LinearLayout>

        </RelativeLayout>
        <!-- content main-->
        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@+id/rl_footer">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <androidx.cardview.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="20dp"
                    android:layout_marginTop="50dp"
                    android:elevation="30dp"
                    app:cardCornerRadius="16dp"
                    app:cardElevation="30dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="15dp"
                        android:layout_marginVertical="25dp"
                        android:layout_marginBottom="30dp"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="sans-serif-medium"
                            android:gravity="center"
                            android:paddingBottom="20dp"
                            android:text="Quel est votre secteur d’activité ?"
                            android:textColor="@color/black"
                            android:textSize="18sp" />


                        <com.google.android.material.textfield.TextInputLayout
                            style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_toEndOf="@+id/txt_pre"
                            app:boxBackgroundMode="outline"
                            app:boxCornerRadiusBottomEnd="25dp"
                            app:boxCornerRadiusBottomStart="25dp"
                            app:boxCornerRadiusTopEnd="25dp"
                            app:boxCornerRadiusTopStart="25dp"
                            app:boxStrokeColor="#CCCCCC">

                            <AutoCompleteTextView
                                android:id="@+id/dropdown_activete"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:drawableEnd="@drawable/ic_down"
                                android:inputType="none"
                                android:padding="1dp"
                                android:text="Séléctionnez parmi la liste"
                                android:textAllCaps="true"
                                android:textColor="#666666" />
                        </com.google.android.material.textfield.TextInputLayout>


                    </LinearLayout>


                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="20dp"
                    android:layout_marginTop="20dp"
                    android:elevation="30dp"
                    app:cardCornerRadius="16dp"
                    app:cardElevation="30dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="15dp"
                        android:layout_marginVertical="25dp"
                        android:layout_marginBottom="30dp"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="sans-serif-medium"
                            android:gravity="center"
                            android:paddingBottom="20dp"
                            android:text="Quelle est votre profession ?"
                            android:textColor="@color/black"
                            android:textSize="18sp" />


                        <com.google.android.material.textfield.TextInputLayout
                            style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_toEndOf="@+id/txt_pre"
                            app:boxBackgroundMode="outline"
                            app:boxCornerRadiusBottomEnd="25dp"
                            app:boxCornerRadiusBottomStart="25dp"
                            app:boxCornerRadiusTopEnd="25dp"
                            app:boxCornerRadiusTopStart="25dp"
                            app:boxStrokeColor="#CCCCCC">

                            <AutoCompleteTextView

                                android:id="@+id/dropdown_prof"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:drawableEnd="@drawable/ic_down"
                                android:inputType="none"
                                android:padding="1dp"
                                android:text="CALENDRIER"
                                android:textAllCaps="true"
                                android:textColor="#666666" />
                        </com.google.android.material.textfield.TextInputLayout>


                    </LinearLayout>


                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="20dp"
                    android:layout_marginTop="20dp"
                    android:elevation="30dp"
                    app:cardCornerRadius="16dp"
                    app:cardElevation="30dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="15dp"
                        android:layout_marginTop="50dp"
                        android:layout_marginBottom="30dp"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="sans-serif-medium"
                            android:gravity="center"
                            android:paddingBottom="20dp"
                            android:text="Quel est votre type de revenu ?"
                            android:textColor="@color/black"
                            android:textSize="18sp" />


                        <com.google.android.material.textfield.TextInputLayout
                            style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_toEndOf="@+id/txt_pre"
                            app:boxBackgroundMode="outline"
                            app:boxCornerRadiusBottomEnd="25dp"
                            app:boxCornerRadiusBottomStart="25dp"
                            app:boxCornerRadiusTopEnd="25dp"
                            app:boxCornerRadiusTopStart="25dp"
                            app:boxStrokeColor="#CCCCCC">

                            <AutoCompleteTextView

                                android:id="@+id/dropdown_revenu"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:drawableEnd="@drawable/ic_down"
                                android:inputType="none"
                                android:padding="1dp"
                                android:text="SALAIRE"
                                android:textAllCaps="true"
                                android:textColor="#666666" />
                        </com.google.android.material.textfield.TextInputLayout>


                    </LinearLayout>


                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="20dp"
                    android:layout_marginTop="20dp"
                    android:elevation="30dp"
                    app:cardCornerRadius="16dp"
                    app:cardElevation="30dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="15dp"
                        android:layout_marginVertical="25dp"
                        android:layout_marginBottom="30dp"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="sans-serif-medium"
                            android:gravity="center"
                            android:paddingBottom="20dp"
                            android:text="Quel est votre type de contrat ?"
                            android:textColor="@color/black"
                            android:textSize="18sp" />


                        <com.google.android.material.textfield.TextInputLayout
                            style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_toEndOf="@+id/txt_pre"
                            app:boxBackgroundMode="outline"
                            app:boxCornerRadiusBottomEnd="25dp"
                            app:boxCornerRadiusBottomStart="25dp"
                            app:boxCornerRadiusTopEnd="25dp"
                            app:boxCornerRadiusTopStart="25dp"
                            app:boxStrokeColor="#CCCCCC">

                            <AutoCompleteTextView
                                android:id="@+id/dropdown_typecontra"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:drawableEnd="@drawable/ic_down"
                                android:inputType="none"
                                android:padding="1dp"
                                android:text="CDD"
                                android:textAllCaps="true"
                                android:textColor="#666666" />
                        </com.google.android.material.textfield.TextInputLayout>


                    </LinearLayout>


                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="20dp"
                    android:layout_marginTop="20dp"
                    android:elevation="30dp"
                    app:cardCornerRadius="16dp"
                    app:cardElevation="30dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="15dp"
                        android:layout_marginVertical="25dp"
                        android:layout_marginBottom="30dp"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="sans-serif-medium"
                            android:gravity="center"
                            android:paddingBottom="20dp"
                            android:text="Quel est la date de fin de contrat ?"
                            android:textColor="@color/black"
                            android:textSize="18sp" />


                        <com.google.android.material.textfield.TextInputLayout
                            style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_toEndOf="@+id/txt_pre"
                            app:boxBackgroundMode="outline"
                            app:boxCornerRadiusBottomEnd="25dp"
                            app:boxCornerRadiusBottomStart="25dp"
                            app:boxCornerRadiusTopEnd="25dp"
                            app:boxCornerRadiusTopStart="25dp"
                            app:boxStrokeColor="#CCCCCC">

                            <AutoCompleteTextView

                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:drawableEnd="@drawable/ic_down"
                                android:inputType="none"
                                android:padding="1dp"
                                android:text="CALENDRIER"
                                android:textAllCaps="true"
                                android:textColor="#666666" />
                        </com.google.android.material.textfield.TextInputLayout>


                    </LinearLayout>


                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="20dp"
                    android:layout_marginVertical="20dp"
                    android:layout_marginTop="20dp"
                    android:elevation="30dp"
                    app:cardCornerRadius="16dp"
                    app:cardElevation="30dp">


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="25dp"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="sans-serif-medium"
                            android:gravity="center"
                            android:paddingBottom="20dp"
                            android:text="Quel est votre revenu mensuel ?"
                            android:textColor="@color/black"
                            android:textSize="18sp" />

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">

                            <TextView
                                android:id="@+id/txt_min"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:fontFamily="sans-serif-condensed-medium"
                                android:text="3000 dh"
                                android:textColor="@color/black"
                                android:textSize="16sp" />

                            <SeekBar
                                android:id="@+id/seekBar_revune"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:layout_toStartOf="@+id/txt_max"
                                android:layout_toEndOf="@+id/txt_min"
                                android:max="50000"
                                android:min="3000"
                                android:progress="3000"
                                android:progressDrawable="@drawable/seekbar_style"
                                android:splitTrack="false" />

                            <TextView
                                android:id="@+id/txt_max"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentRight="true"
                                android:layout_centerVertical="true"
                                android:fontFamily="sans-serif-condensed-medium"
                                android:text="+50 000 dh"
                                android:textColor="@color/black"
                                android:textSize="16sp" />
                        </RelativeLayout>


                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_below="@+id/edit_login"
                            android:layout_marginVertical="20dp"
                            android:background="@color/inactive" />

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentLeft="true"
                                android:layout_centerVertical="true"
                                android:text="Revenu mensuel"
                                android:textColor="#AAAAAA"
                                android:textSize="16sp" />

                            <TextView
                                android:id="@+id/txt_selected"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:layout_toStartOf="@+id/txt_dh"
                                android:background="@drawable/border_raduis_gris"
                                android:fontFamily="sans-serif"
                                android:gravity="center"
                                android:paddingHorizontal="25dp"
                                android:paddingVertical="3dp"
                                android:text="3"
                                android:textSize="18sp"
                                android:textStyle="normal" />

                            <TextView
                                android:id="@+id/txt_dh"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentRight="true"
                                android:layout_centerVertical="true"
                                android:paddingLeft="6dp"
                                android:text="Dh"
                                android:textColor="#AAAAAA"
                                android:textSize="16sp" />

                        </RelativeLayout>


                    </LinearLayout>


                </androidx.cardview.widget.CardView>


            </LinearLayout>


        </ScrollView>


        <!--  Footer  -->
        <RelativeLayout
            android:id="@+id/rl_footer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:paddingHorizontal="15dp"
            android:paddingVertical="10dp">

            <ImageView
                android:id="@+id/img_back"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:padding="10dp"
                android:src="@drawable/ic_back" />

            <TextView
                android:id="@+id/btn_next"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:background="@drawable/border_raduis"
                android:drawableRight="@drawable/ic_next"
                android:drawablePadding="5dp"
                android:fontFamily="sans-serif"
                android:paddingVertical="10dp"
                android:paddingLeft="25dp"
                android:paddingRight="10dp"
                android:text="Confirmer"
                android:textColor="@color/white"
                android:textSize="18sp"
                android:textStyle="normal" />


        </RelativeLayout>
    </RelativeLayout>


</LinearLayout>